# Gimp.Config.prototype.deserialize_stream

    function deserialize_stream(input: Gio.InputStream, data: void): Boolean {
        // Gjs wrapper for gimp_config_deserialize_stream()
    }

Reads configuration data from input and configures config accordingly. Basically this function creates a properly configured GLib.Scanner for you and calls the deserialize function of the config's Gimp.ConfigInterface.

Since 2.10

input

  the input stream to read configuration from.

data

  user data passed to the deserialize implementation.

Returns

  Whether deserialization succeeded.